edu.sc.seis.sod.source.seismogram

## Class WinstonWaveServerSource

- java.lang.Object
- - edu.sc.seis.sod.source.seismogram.WinstonWaveServerSource

- All Implemented Interfaces:
    SodElement, SeismogramSource

      public class WinstonWaveServerSource
      extends java.lang.Object
      implements SeismogramSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinstonWaveServerSource(edu.sc.seis.seisFile.waveserver.WaveServer ws)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter>` | `availableData(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> request)`
    `java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl>` | `retrieveData(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> request)`
    `static edu.iris.Fissures.model.MicroSecondDate` | `toDate(double d)`
    `static double` | `toEpochSeconds(edu.iris.Fissures.Time d)`
    `static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl` | `toFissures(edu.sc.seis.seisFile.earthworm.TraceBuf2 buf, edu.iris.Fissures.IfNetwork.ChannelId chan)`
    `static double` | `toY2KSeconds(edu.iris.Fissures.model.MicroSecondDate d)`
    `static double` | `toY2KSeconds(edu.iris.Fissures.Time d)`
    `static edu.iris.Fissures.model.MicroSecondDate` | `y2kSecondsToDate(double d)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WinstonWaveServerSource

          public WinstonWaveServerSource(edu.sc.seis.seisFile.waveserver.WaveServer ws)

  - ### Method Detail

    - #### toDate

          public static edu.iris.Fissures.model.MicroSecondDate toDate(double d)

    - #### toEpochSeconds

          public static double toEpochSeconds(edu.iris.Fissures.Time d)

    - #### toY2KSeconds

          public static double toY2KSeconds(edu.iris.Fissures.Time d)

    - #### toY2KSeconds

          public static double toY2KSeconds(edu.iris.Fissures.model.MicroSecondDate d)

    - #### y2kSecondsToDate

          public static edu.iris.Fissures.model.MicroSecondDate y2kSecondsToDate(double d)

    - #### availableData

          public java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> availableData(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> request)
                                                                                       throws SeismogramSourceException

      Specified by:
        `availableData` in interface `SeismogramSource`
      Throws:
        `SeismogramSourceException`

    - #### retrieveData

          public java.util.List<edu.iris.Fissures.seismogramDC.LocalSeismogramImpl> retrieveData(java.util.List<edu.iris.Fissures.IfSeismogramDC.RequestFilter> request)
                                                                                          throws SeismogramSourceException

      Specified by:
        `retrieveData` in interface `SeismogramSource`
      Throws:
        `SeismogramSourceException`

    - #### toFissures

          public static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl toFissures(edu.sc.seis.seisFile.earthworm.TraceBuf2 buf,
                                                                                      edu.iris.Fissures.IfNetwork.ChannelId chan)